package com.css.txw.mhzc.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.css.ggzc.framework.common.util.gy.GyUtils;
import com.css.txw.mhzc.pojo.domain.TxwMhzcQyrzsqjlbDO;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.css.txw.mhzc.pojo.vo.GetRegisterListReqVO;

import java.util.List;

/**
* @author AirlH
* @description 针对表【txw_mhzc_qyrzsqjlb(企业认证申请记录表)】的数据库操作Mapper
* @createDate 2025-09-12 18:51:04
* @Entity com.css.txw.mhzc.pojo.domain.TxwMhzcQyrzsqjlb
*/
public interface TxwMhzcQyrzsqjlbMapper extends BaseMapper<TxwMhzcQyrzsqjlbDO> {

    default List<TxwMhzcQyrzsqjlbDO> getRegisterList(GetRegisterListReqVO reqVO){
        QueryWrapper<TxwMhzcQyrzsqjlbDO> wrapper = new QueryWrapper<>();
        wrapper.lambda()
        		.eq(!GyUtils.isNull(reqVO.getShjg1()), TxwMhzcQyrzsqjlbDO::getShjg1, reqVO.getShjg1())
                .like(!GyUtils.isNull(reqVO.getNsrsbh()),TxwMhzcQyrzsqjlbDO::getNsrsbh,reqVO.getNsrsbh())
                .like(!GyUtils.isNull(reqVO.getQymc()),TxwMhzcQyrzsqjlbDO::getQymc,reqVO.getQymc())
//                .isNull(TxwMhzcQyrzsqjlbDO::getShjg1)
                .ge(!GyUtils.isNull(reqVO.getSqsjq()), TxwMhzcQyrzsqjlbDO::getLrrq, reqVO.getSqsjq())
                .le(!GyUtils.isNull(reqVO.getSqsjz()), TxwMhzcQyrzsqjlbDO::getLrrq, reqVO.getSqsjz())
                .orderByDesc(TxwMhzcQyrzsqjlbDO::getLrrq);
        return selectList(wrapper);
    }

    default List<TxwMhzcQyrzsqjlbDO> getCurrentRegisterList(String yhUuid){
        QueryWrapper<TxwMhzcQyrzsqjlbDO> wrapper = new QueryWrapper<>();
        wrapper.lambda().eq(TxwMhzcQyrzsqjlbDO::getLrruuid,yhUuid);
        return selectList(wrapper);
    }
}




